Updates the equipment_model object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e563cdb8-4a60-4064-b87f-3303f77fe596",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "a1342442-af1c-4199-aecf-4e959ae85ec8",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "b55fce4b-a8fc-4d83-b3a9-4be5c21eb687",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "3a7ad041-c575-4c4e-9171-91ae024d839c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "06e2fa0d-d5f6-4911-bd6f-0413ea7cbc36",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "51bfaf00-c8c9-4d88-aa07-d58768eec732",
"db_currency_id": "d2f0e999-78ae-4a1c-965a-4425b3610037",
"db_language_id": "c6296613-5635-4737-9a05-067e3904af7a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-11T23:12:59.3067896+00:00"
},
"modified_dateutc": "2026-10-11T23:12:59.3067896+00:00"
},
"equipment_family_id": "45c5cac5-166a-4492-9657-316ec392dea7",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "39c3e252-c8b2-4aae-a968-35906974515c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "0e531fa8-a2a9-442d-b128-f93cfdf55286",
"_parent_code": "sample string 6",
"sales_organization_id": "82116e17-4095-49c2-b281-070e3830498d",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "06e2fa0d-d5f6-4911-bd6f-0413ea7cbc36",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "51bfaf00-c8c9-4d88-aa07-d58768eec732",
"db_currency_id": "d2f0e999-78ae-4a1c-965a-4425b3610037",
"db_language_id": "c6296613-5635-4737-9a05-067e3904af7a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-11T23:12:59.3067896+00:00"
},
"modified_dateutc": "2026-10-11T23:12:59.3067896+00:00"
},
"date_in_production_since": "2026-10-11T23:12:59.3067896+00:00",
"date_out_of_production_since": "2026-10-11T23:12:59.3067896+00:00",
"date_end_support": "2026-10-11T23:12:59.3067896+00:00",
"sales_organization_id": "8a278a4a-fecd-4c50-9f28-d50113653be7",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "06e2fa0d-d5f6-4911-bd6f-0413ea7cbc36",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "51bfaf00-c8c9-4d88-aa07-d58768eec732",
"db_currency_id": "d2f0e999-78ae-4a1c-965a-4425b3610037",
"db_language_id": "c6296613-5635-4737-9a05-067e3904af7a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-11T23:12:59.3067896+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-11T23:12:59.3550278+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.